{
  "input_files": [
    "E:/is2/yaopu/output/before.dat"
  ],
  "file_type": "envi",
  "bad_bands": [],
  "num_cpus": 10,
  "anc_files": {
    "E:/is2/yaopu/output/before.dat": {
      "path_length": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ],
      "sensor_az": [
        "E:/is2/yaopu/output/angel.dat",
        9
      ],
      "sensor_zn": [
        "E:/is2/yaopu/output/angel.dat",
        8
      ],
      "solar_az": [
        "E:/is2/yaopu/output/angel.dat",
        7
      ],
      "solar_zn": [
        "E:/is2/yaopu/output/angel.dat",
        6
      ],
      "phase": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ],
      "slope": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ],
      "aspect": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ],
      "cosine_i": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ],
      "utc_time": [
        "E:/is2/yaopu/output/angel.dat",
        0
      ]
    }
  },
  "corrections": [
    "brdf"
  ],
  "topo": {
    "type": "mod_minneart",
    "calc_mask": [],
    "apply_mask": [],
    "c_fit_type": "nnls"
  },
  "brdf": {
    "type": "flex",
    "grouped": true,
    "geometric": "li_dense_r",
    "volume": "ross_thick",
    "b/r": 2.5,
    "h/b": 2.0,
    "sample_perc": 0.1,
    "interp_kind": "linear",
    "calc_mask": [
      [
        "water",
        {
          "band_1": 850,
          "band_2": 660,
          "threshold": 290.0
        }
      ],
      [
        "kernel_finite",
        {}
      ],
      [
        "ancillary",
        {
          "name": "sensor_zn",
          "min": 0.0349,
          "max": 1000000.0
        }
      ],
      [
        "ndi",
        {
          "band_1": 550,
          "band_2": 2150,
          "min": -1.0,
          "max": 0.0
        }
      ]
    ],
    "apply_mask": [
      [
        "water",
        {
          "band_1": 850,
          "band_2": 660,
          "threshold": 290.0
        }
      ]
    ],
    "bin_type": "dynamic",
    "num_bins": 18,
    "ndvi_bin_min": 0.05,
    "ndvi_bin_max": 1.0,
    "ndvi_perc_min": 10,
    "ndvi_perc_max": 95,
    "solar_zn_type": "scene"
  },
  "glint": {
    "type": "hochberg",
    "correction_wave": 2150,
    "apply_mask": []
  },
  "export": {
    "coeffs": false,
    "image": true,
    "masks": true,
    "subset_waves": [],
    "output_dir": "E:/is2/yaopu/Flex",
    "suffix": "topo_brdf_glint"
  },
  "resample": false
}